Subject: Re: Network cooling device and how to control NIC speed on thermal condition

From: Andrew Lunn <[email-masked]>
Date: Mon, 8 May 2017 16:02:25 +0200

> However, the fact is that PHYs having active 1G/s link generate much
> more heat than having 100M/s link independently from network traffic.

Yes, this is true. I got an off-list email suggesting this power
difference is very significant, more so than actually processing
packets.

> All cooling methods impact host only, but "net cooling" impacts remote
> side in addition, which seems to me to be a problem sometimes. Also,
> the moment of link renegotiation blocks rx/tx for upper layers, so the
> user sees a pause when streaming a video for example. However, if a
> system is under a thermal condition, does it really matter?

I don't know the cooling subsystem too well. Can you express a 'cost'
for making a change, as well as the likely result in making the
change. You might want to make the cost high, so it is used as a last
resort if other methods cannot give enough cooling.

       Andrew